Subject: Re: DISCOVER - the return

From: bill <[email-masked]>
Date: Mon, 12 Jan 2004 11:44:45 -0800 (PST)

> 
> > 	LLMNR and mDNS may have evolved from the same root, but have taken
> > 	minor varients in evolution.  LLMNR could adopt, with minor tweeks
> > 	many of the original design features of mDNS.
> 
> Is there a way to get a list of the "minor tweeks" that would be required?

	I expect so, but then one would have to revisit the remit of 
	LLMNR. DISCOVER, in conjunction w/ the TBDS modifications to
	DNS has zero link-local restrictions.  

> I'm willing to make the modifications to section 2.1, for example, if this
> would allow DISCOVER to run over LLMNR.  Right now, for example, -28
> reserves the RD, RA, CD and AD bits (since they're not used
> with the QUERY opcode).  So DISCOVER could define uses for these bits when
> used with that opcode.

	It could, but I would not wish to derail LLMNR w/ its adoption of
	a clearly experimental OPCODE.

> > 	the "normative" reference for mDNS was rejected by the IETF but
> > 	is part of the DARPA final report for that effort.  mDNS is
> > 	normal DNS with multicast capabilities so there is no unique
> > 	protocol.
> 
> I'm not sure that there is such a thing as "normal DNS with multicast
> capabilities."  When you get into the details, there are elements of the
> DNS header (RCODEs, for example) that just don't make sense when used with
> multicast DNS.  For example, in LLMNR only responses with RCODE=0 are
> allowed.  Are non-zero RCODEs in allowed in DISCOVER responses?

	Yes, they were.

> >   3          MZAP                                               [Thaler]
> >   4          Multicast Discovery of DNS Services               [Manning]
> > 	-----------------------------------------------
> 
> Are you suggesting that LLMNR should use the relative multicast address
> originally allocated to you?
> 

	No. You asked what multicast addresses are used in an implementation
	that supports DISCOVER.  I'm not suggesting LLMNR adopt DISCOVER.

--bill

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>